#ifndef _BOUNDARIESF_F_H_
#define _BOUNDARIESF_F_H_

#include "FORT_PROTO.H"
#include "REAL.H"

extern "C"
{

// Prototype for Fortran procedure SOLIDBCF ...
//
#define FORT_SOLIDBCF FORTRAN_NAME( SOLIDBCF ,solidbcf )
void 
FORT_SOLIDBCF(
      CHFp_FRA(Wgdnv)
      ,CHFp_CONST_FRA(Wextrap)
      ,CHFp_CONST_FRA(W)
      ,CHFp_CONST_INT(lohisign)
      ,CHFp_CONST_INT(dir)
      ,CHFp_BOX(box) );

// Prototype for Fortran procedure INFLOWF ...
//
#define FORT_INFLOWF FORTRAN_NAME( INFLOWF ,inflowf )
void 
FORT_INFLOWF(
      CHFp_FRA(Wgdnv)
      ,CHFp_CONST_FRA(Wextrap)
      ,CHFp_CONST_FRA(W)
      ,CHFp_CONST_INT(lohisign)
      ,CHFp_CONST_INT(dir)
      ,CHFp_BOX(box) );

// Prototype for Fortran procedure SLOPEBCSF ...
//
#define FORT_SLOPEBCSF FORTRAN_NAME( SLOPEBCSF ,slopebcsf )
void 
FORT_SLOPEBCSF(
      CHFp_FRA(dW)
      ,CHFp_CONST_FRA(W)
      ,CHFp_CONST_INT(dir)
      ,CHFp_BOX(loBox)
      ,CHFp_CONST_INT(hasLo)
      ,CHFp_BOX(hiBox)
      ,CHFp_CONST_INT(hasHi) );

}

#endif
