#ifndef _TESTSIBCF_F_H_
#define _TESTSIBCF_F_H_

#include "FORT_PROTO.H"
#include "REAL.H"

extern "C"
{

// Prototype for Fortran procedure SETTESTS ...
//
#define FORT_SETTESTS FORTRAN_NAME( SETTESTS ,settests )
void 
FORT_SETTESTS(
      CHFp_CONST_REAL(aums)
      ,CHFp_CONST_REALVECT(aucenter)
      ,CHFp_CONST_REAL(ausize)
      ,CHFp_CONST_REALVECT(auvelocity)
      ,CHFp_CONST_REAL(auartvisc) );

// Prototype for Fortran procedure EXPLOSIONINITC ...
//
#define FORT_EXPLOSIONINITC FORTRAN_NAME( EXPLOSIONINITC ,explosioninitc )
void 
FORT_EXPLOSIONINITC(
      CHFp_FRA(U)
      ,CHFp_CONST_REAL(dx)
      ,CHFp_BOX(box) );

// Prototype for Fortran procedure WINDCOLLISION ...
//
#define FORT_WINDCOLLISION FORTRAN_NAME( WINDCOLLISION ,windcollision )
void 
FORT_WINDCOLLISION(
      CHFp_FRA(U)
      ,CHFp_CONST_REAL(dx)
      ,CHFp_BOX(box) );

// Prototype for Fortran procedure EXPANDINGSHOCK ...
//
#define FORT_EXPANDINGSHOCK FORTRAN_NAME( EXPANDINGSHOCK ,expandingshock )
void 
FORT_EXPANDINGSHOCK(
      CHFp_FRA(U)
      ,CHFp_CONST_REAL(dx)
      ,CHFp_BOX(box) );

}

#endif
