#ifndef _EXPLOSIONMHDBCF_F_H_
#define _EXPLOSIONMHDBCF_F_H_

#include "FORT_PROTO.H"
#include "REAL.H"

extern "C"
{

// Prototype for Fortran procedure EXPLOSIONSETF ...
//
#define FORT_EXPLOSIONSETF FORTRAN_NAME( EXPLOSIONSETF ,explosionsetf )
void 
FORT_EXPLOSIONSETF(
      CHFp_REAL(ausmallPressure)
      ,CHFp_CONST_REAL(augamma)
      ,CHFp_CONST_REAL(apjump)
      ,CHFp_CONST_REAL(arhojump)
      ,CHFp_CONST_REAL(ap0)
      ,CHFp_CONST_REAL(arho0)
      ,CHFp_CONST_INT(abdir)
      ,CHFp_CONST_REAL(abmag)
      ,CHFp_CONST_REALVECT(aucenter)
      ,CHFp_CONST_REAL(ausize)
      ,CHFp_CONST_REALVECT(auvelocity)
      ,CHFp_CONST_REAL(auartvisc) );

// Prototype for Fortran procedure EXPLOSIONINITF ...
//
#define FORT_EXPLOSIONINITF FORTRAN_NAME( EXPLOSIONINITF ,explosioninitf )
void 
FORT_EXPLOSIONINITF(
      CHFp_FRA(U)
      ,CHFp_CONST_REAL(dx)
      ,CHFp_BOX(box) );

// Prototype for Fortran procedure EXPLOSIONMHDSLOPEBCSF ...
//
#define FORT_EXPLOSIONMHDSLOPEBCSF FORTRAN_NAME( EXPLOSIONMHDSLOPEBCSF ,explosionmhdslopebcsf )
void 
FORT_EXPLOSIONMHDSLOPEBCSF(
      CHFp_FRA(dW)
      ,CHFp_CONST_FRA(W)
      ,CHFp_CONST_REAL(dx)
      ,CHFp_CONST_INT(dir)
      ,CHFp_BOX(loBox)
      ,CHFp_CONST_INT(hasLo)
      ,CHFp_BOX(hiBox)
      ,CHFp_CONST_INT(hasHi) );

// Prototype for Fortran procedure EXPLOSIONMHDPRIMBCF ...
//
#define FORT_EXPLOSIONMHDPRIMBCF FORTRAN_NAME( EXPLOSIONMHDPRIMBCF ,explosionmhdprimbcf )
void 
FORT_EXPLOSIONMHDPRIMBCF(
      CHFp_FRA(WG)
      ,CHFp_CONST_FRA(W)
      ,CHFp_CONST_REAL(time)
      ,CHFp_CONST_INT(lohisign)
      ,CHFp_CONST_REAL(dx)
      ,CHFp_CONST_INT(dir)
      ,CHFp_BOX(box) );

}

#endif
