#ifndef _BCF_F_H_
#define _BCF_F_H_

#include "FORT_PROTO.H"
#include "REAL.H"

extern "C"
{

// Prototype for Fortran procedure EXTRAPGHOSTBCF ...
//
#define FORT_EXTRAPGHOSTBCF FORTRAN_NAME( EXTRAPGHOSTBCF ,extrapghostbcf )
void 
FORT_EXTRAPGHOSTBCF(
      CHFp_FRA(state)
      ,CHFp_BOX(bcBox)
      ,CHFp_CONST_INT(idir)
      ,CHFp_CONST_INT(side)
      ,CHFp_CONST_REAL(dx)
      ,CHFp_CONST_INT(startcomp)
      ,CHFp_CONST_INT(endcomp) );

// Prototype for Fortran procedure HOEXTRAPGHOSTBCF ...
//
#define FORT_HOEXTRAPGHOSTBCF FORTRAN_NAME( HOEXTRAPGHOSTBCF ,hoextrapghostbcf )
void 
FORT_HOEXTRAPGHOSTBCF(
      CHFp_FRA(state)
      ,CHFp_BOX(bcBox)
      ,CHFp_CONST_INT(idir)
      ,CHFp_CONST_INT(side)
      ,CHFp_CONST_REAL(dx)
      ,CHFp_CONST_INT(startcomp)
      ,CHFp_CONST_INT(endcomp) );

// Prototype for Fortran procedure REFLECTGHOSTBCF ...
//
#define FORT_REFLECTGHOSTBCF FORTRAN_NAME( REFLECTGHOSTBCF ,reflectghostbcf )
void 
FORT_REFLECTGHOSTBCF(
      CHFp_FRA(state)
      ,CHFp_BOX(bcBox)
      ,CHFp_CONST_INT(idir)
      ,CHFp_CONST_INT(side)
      ,CHFp_CONST_REAL(dx)
      ,CHFp_CONST_INT(startcomp)
      ,CHFp_CONST_INT(endcomp)
      ,CHFp_CONST_REAL(scale) );

}

#endif
