#ifndef _ARRAYTORAW_
#define _ARRAYTORAW_

#include "LevelData.H"
#include "EBISLayout.H"
#include "EBCellFAB.H"
#include "Vector.H"
#include "RealVect.H"

class ArrayToRaw
{
public:
   void output_array( const LevelData<EBCellFAB>& u,
		      const EBISLayout& ebis,
		      char* file );

   void output_level_array( const Vector<LevelData<EBCellFAB>*>& u,
  		            const Vector<EBISLayout>& ebis,
		            const Vector<RealVect> dx,
			    const RealVect x0,
			    char* file );

  void print_ebcellfab(  const EBCellFAB& a_u,
			 const char* name );

  void chk_nan( const LevelData<EBCellFAB>& u, const EBISLayout& ebis,
		char* msg );

};
#endif
